#!/usr/bin/python
# -*- coding: utf-8 -*-

from django.db import models
from django.utils import timezone
#from sysproduct.models import SpuProduct,SkuProduct
#from system.models import User
import datetime


'''
"""产品店铺关系表"""
class AmazonProductStore(models.Model):
    id = models.AutoField(primary_key=True)
    spuCode = models.CharField(max_length=30L)
    spu =models.ForeignKey(SpuProduct,related_name='amazon_product_store_spu',on_delete=models.DO_NOTHING)
    up_time=models.DateTimeField(null=True)#产品上架时间
    up_user = models.CharField(max_length=20)#上架人

    class Meta:
        app_label = 'sale_amazon'
        db_table = 'amazon_product_store'
'''


class AmazonCharger(models.Model):
    id = models.AutoField(primary_key=True)
    charger_id = models.IntegerField(blank=True, null=True)
    charger_name = models.CharField(max_length=45, blank=True, null=True)
    asin = models.CharField(max_length=45, blank=True, null=True)
    gateway_id = models.IntegerField(blank=True, null=True)
    gateway_name = models.CharField(max_length=45, blank=True, null=True)
    saletype = models.IntegerField(blank=True, null=True)
    errmsg = models.CharField(max_length=45, blank=True, null=True)
    class Meta:
        managed = False
        db_table = 'amazon_charger'


class AmazonAccount(models.Model):
    idamazon_account = models.AutoField(primary_key=True)
    name = models.CharField(max_length=100, blank=True, null=True)
    access_key = models.CharField(db_column='ACCESS_KEY', max_length=200, blank=True, null=True)  # Field name made lowercase.
    secret_key = models.CharField(db_column='SECRET_KEY', max_length=200, blank=True, null=True)  # Field name made lowercase.
    account_id = models.CharField(db_column='ACCOUNT_ID', max_length=200, blank=True, null=True)  # Field name made lowercase.
    mkplaceid = models.CharField(db_column='MKPLACEID', max_length=200, blank=True, null=True)  # Field name made lowercase.
    mwsauthtoken = models.CharField(db_column='MWSAuthToken', max_length=2000, blank=True, null=True)  # Field name made lowercase.

    class Meta:
        managed = False
        db_table = 'amazon_account'
class Amazonstore(models.Model):
    id = models.AutoField(primary_key=True)
    Asin = models.CharField(max_length=50L)
    store = models.CharField(max_length=50L)
    date_time = models.DateTimeField(default=timezone.now, null=True)
    no_active = models.CharField(max_length=50L)
    change_active = models.CharField(max_length=50L)
    when_long = models.IntegerField(default=0)
    store_id = models.CharField(max_length=50L)
    date = models.DateField(default=timezone.now, null=True)
    class Meta:
        app_label = 'sale_amazon'
        db_table = 'amazon_store'


class Amazonsummary(models.Model):
    id = models.AutoField(primary_key=True)
    Asin = models.CharField(max_length=50L)
    store_name = models.CharField(max_length=50L)
    store_id = models.CharField(max_length=50L)
    one_time = models.CharField(max_length=50L)
    last_time = models.CharField(max_length=50L)
    store_active = models.CharField(max_length=50L)
    when_long = models.FloatField(default=0.0)
    update_time = models.DateTimeField(default=timezone.now, null=True)

    class Meta:
        app_label = 'sale_amazon'
        db_table = 'amazon_summary'

class Amazonword(models.Model):
    id = models.AutoField(primary_key=True)
    sku = models.CharField(max_length=50L)
    generic_keywords1 = models.TextField()
    generic_keywords2 = models.TextField()
    generic_keywords3 = models.TextField()
    generic_keywords4 = models.TextField()
    generic_keywords5 = models.TextField()

    class Meta:
        app_label = 'sale_amazon'
        db_table = 'amazon_word'


class Amazoneantext(models.Model):
    id = models.AutoField(primary_key=True)
    EAN = models.CharField(max_length=50L)

    class Meta:
        app_label = 'sale_amazon'
        db_table = 'EAN_test'

class  Amazoncategory(models.Model):
    id = models.AutoField(primary_key=True)
    Node_Path = models.CharField(max_length=80L)
    US = models.CharField(max_length=80L)
    UK = models.CharField(max_length=80L)
    CA = models.CharField(max_length=80L)
    SP = models.CharField(max_length=80L)
    FA = models.CharField(max_length=80L)
    GM = models.CharField(max_length=80L)
    JP = models.CharField(max_length=80L)
    LT = models.CharField(max_length=80L)
    category = models.CharField(max_length=80L)
    US_id = models.CharField(max_length=80L)
    class Meta:
        app_label = 'sale_amazon'
        db_table = 'amazion_category'